Bug 217109 - lang/php70: Update to 7.0.16 + lang/php71: Update to 7.1.2
Summary: lang/php70: Update to 7.0.16 + lang/php71: Update to 7.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-15 09:00 UTC by Jochen Neumeister
Modified: 2017-02-24 13:37 UTC (History)
2 users (show)

See Also:
tz: maintainer-feedback+
tz: merge-quarterly+


Attachments
Patch (3.36 KB, patch)
2017-02-15 09:00 UTC, Jochen Neumeister
joneum: maintainer-approval? (tz)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2017-02-15 09:00:36 UTC
Created attachment 180003 [details]
Patch

http://php.net/ChangeLog-7.php (Changes are not yet available)

poudriere build fine for:
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r312383) 

Chech with:
% grep -RH 7.0.15 /usr/ports/*/php70*/Makefile
% grep -RH 7.1.1 /usr/ports/*/php71*/Makefile

Tests incl all Slave Ports in Poudrire

remove:
 security/php71-hash/files/patch-php__hash__sha3.h

edit
 lang/php70/pkg-plist
 lang/php71/pkg-plist

Cheers
jochen
Comment 1 Torsten Zuehlsdorff freebsd_committer 2017-02-21 14:10:53 UTC
Why did you remove security/php71-hash/files/patch-php__hash__sha3.h? Is there any reason for it?
Comment 2 Jochen Neumeister freebsd_committer 2017-02-21 14:47:52 UTC
(In reply to Torsten Zuehlsdorff from comment #1)

From the Patch: -#include "ext/hash/php_hash.h"

This seems to be no longer part of the php_hash_sha3.h file. So I deleted the patch
Comment 3 commit-hook freebsd_committer 2017-02-23 13:38:17 UTC
A commit references this bug:

Author: tz
Date: Thu Feb 23 13:38:03 UTC 2017
New revision: 434665
URL: https://svnweb.freebsd.org/changeset/ports/434665

Log:
  Update PHP 7 from 7.0.15 to 7.0.16

  Changelog: http://www.php.net/ChangeLog-7.php#7.0.16

  PR:           217109
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  MFH:          2017Q1

Changes:
  head/lang/php70/Makefile
  head/lang/php70/distinfo
  head/lang/php70/pkg-plist
Comment 4 commit-hook freebsd_committer 2017-02-23 14:19:53 UTC
A commit references this bug:

Author: tz
Date: Thu Feb 23 14:19:44 UTC 2017
New revision: 434667
URL: https://svnweb.freebsd.org/changeset/ports/434667

Log:
  Update PHP 7.1 from 7.1.1 to 7.1.2

  Changelog: http://www.php.net/ChangeLog-7.php#7.1.2

  PR:           217109
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  MFH:          2017Q1

Changes:
  head/lang/php71/Makefile
  head/lang/php71/distinfo
  head/lang/php71/pkg-plist
  head/security/php71-hash/files/
Comment 5 commit-hook freebsd_committer 2017-02-24 13:36:59 UTC
A commit references this bug:

Author: tz
Date: Fri Feb 24 13:36:30 UTC 2017
New revision: 434712
URL: https://svnweb.freebsd.org/changeset/ports/434712

Log:
  MFH: r434665

  Update PHP 7 from 7.0.15 to 7.0.16

  Changelog: http://www.php.net/ChangeLog-7.php#7.0.16

  PR:           217109
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>

  Approved by: ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/lang/php70/Makefile
  branches/2017Q1/lang/php70/distinfo
  branches/2017Q1/lang/php70/pkg-plist
Comment 6 Torsten Zuehlsdorff freebsd_committer 2017-02-24 13:37:26 UTC
Committed, thanks! :)